Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
inbound_message_trigger
curl --request POST \ --url https://app.kapso.ai/api/v1/flows/{flow_id}/triggers \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "trigger": { "trigger_type": "inbound_message", "active": true, "whatsapp_config_id": "config-789ghi" } } '
{ "data": { "id": "trigger-123abc", "flow_id": "flow-456def", "trigger_type": "inbound_message", "active": true, "display_name": "Customer Support Trigger", "triggerable": { "id": "inbound-trigger-123", "whatsapp_config_id": "config-789ghi" }, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } }
{ "error": "Resource not found", "status": 404, "message": "The requested resource could not be found"}
Creates a new trigger for a flow (inbound_message or api_call)
API key required for all endpoints
Show child attributes
Flow trigger created successfully